Bug 119729 - [EFL][WK1] New fast/dom/Window/open-zero-size-as-default.html test fails after r153913.
Summary: [EFL][WK1] New fast/dom/Window/open-zero-size-as-default.html test fails afte...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 87008
  Show dependency treegraph
 
Reported: 2013-08-13 00:29 PDT by Gábor Ábrahám
Modified: 2017-03-11 10:47 PST (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gábor Ábrahám 2013-08-13 00:29:42 PDT
This new test fails on WK1.

Result on EFL, Qt WK1 bots:
Test that passing "height=0,width=0" to window.open() results in default window size.

PASS
FAIL: [0,0]

http://build.webkit.sed.hu/results/x86-64%20Linux%20Qt%20Release/r153979%20(52957)/fast/dom/Window/open-zero-size-as-default-pretty-diff.html

Result on GTK bots:
Test that passing "height=0,width=0" to window.open() results in default window size.

PASS
FAIL: [1,1]

http://build.webkit.org/results/GTK%20Linux%2064-bit%20Debug%20WK1/r153975%20(3540)/fast/dom/Window/open-zero-size-as-default-pretty-diff.html

Could you take a look please?
Comment 1 Alexey Proskuryakov 2013-08-13 08:37:26 PDT
Perhaps this is the default size in DumpRenderTree for these platforms?
Comment 2 Allan Sandfeld Jensen 2013-08-19 06:50:08 PDT
Apple reverted the behavior we rely on to make this work. We either need another way to work or rerevert it with an #ifdef !PLATFORM(APPLE)
Comment 3 Michael Catanzaro 2017-03-11 10:47:56 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.